Page MenuHomePhabricator

User rights, preferences and other things are not saving in 1.20.1
Closed, ResolvedPublic

Description

Author: sixthhokage1

Description:
When attempting to change a user's group assignments with Special:UserRights, no changes are made on submission, it just reloads the page with the group permissions reset.


Version: 1.20.x
Severity: blocker

Details

Reference
bz42592

Event Timeline

bzimport raised the priority of this task from to High.Nov 22 2014, 1:08 AM
bzimport set Reference to bz42592.
bzimport created this task.Dec 1 2012, 4:24 AM

Actually, everything is broken in 1.20.1. Not only user rights are not saved, but user preferences and changes to watchlist are not recorded either.

This is not the first version with this issue. There was exactly the same bug in branch origin/REL1_20 (but not in tag 1.20).

Something that was reported earlier (by you, THO?) is that at least the logging is broken on WMF wikis as of now, see e.g. "and [?] (Was test)":

(show/hide) 01:21, 1 December 2012 Steven (WMF) (talk | contribs | block) changed group membership for User:Steven (WMF) from importer, staff and transwiki importer to importer and (Was test)
(show/hide) 01:19, 1 December 2012 Steven (WMF) (talk | contribs | block) changed group membership for User:Steven (WMF) from importer and transwiki importer to importer, transwiki importer and staff (Test)

at [[m:special:userrights/Steven (WMF)]].

(In reply to comment #2)

Something that was reported earlier (by you, THO?) is that at least the logging
is broken on WMF wikis as of now, see e.g. "and [?] (Was test)":
(show/hide) 01:21, 1 December 2012 Steven (WMF) (talk | contribs | block)
changed group membership for User:Steven (WMF) from importer, staff and
transwiki importer to importer and (Was test)
(show/hide) 01:19, 1 December 2012 Steven (WMF) (talk | contribs | block)
changed group membership for User:Steven (WMF) from importer and transwiki
importer to importer, transwiki importer and staff (Test)
at [[m:special:userrights/Steven (WMF)]].

This is bug 42211, Gerrit change 33878.

And here is, I believe, the same bug: http://www.mail-archive.com/wikibugs-l@lists.wikimedia.org/msg177547.html.

I also overcame it by moving from branch origin/REL1_20 to tag 1.20.0, but it reappeared in 1.20.1.

  • Bug 42622 has been marked as a duplicate of this bug. ***

https://www.mediawiki.org/wiki/Project:Support_desk#User_preferences_won.27t_save_.28no_error.29_718
Scroll down to the 2nd December posts - Daniel Renfro mentions this error:
PHP Notice: Undefined property: DatabaseMysql::$mTrxDoneWrites in ...includes/db/Database.php on line 512

Can someone confirm that this is bug 42370?

  • Bug 42623 has been marked as a duplicate of this bug. ***

lowzl wrote:

Workaround

Here's a one-line fix. As far as I can tell the trouble is that $conn->writesOrCallbacksPending() always returns false, because mTrxDoneWrites is never set or incremented...

Attached:

  • Bug 42643 has been marked as a duplicate of this bug. ***

Can somebody apply https://gerrit.wikimedia.org/r/#/c/36220/ to a 1.20.1 installation and confirm that this fixes the problem?
If not, testing the patch in comment 8 might also be worth a try.

(In reply to comment #10)

Can somebody apply https://gerrit.wikimedia.org/r/#/c/36220/ to a 1.20.1
installation and confirm that this fixes the problem?

I can confirm this. I just updated a private wiki to 1.20.1 and ran into this. Applying that fixed it.

If not, testing the patch in comment 8 might also be worth a try.

Replacing an important condition with a hardcoded "true" is not an acceptable patch, just for debugging.

This probably justifies a 1.20.2 release.

(In reply to comment #11)

(In reply to comment #10)

Can somebody apply https://gerrit.wikimedia.org/r/#/c/36220/ to 1.20.1

I just updated to 1.20.1 and ran into this. Applying that fixed it.

Thanks, this makes it a duplicate of bug 42370.

  • This bug has been marked as a duplicate of bug 42370 ***